pydo.ssh_keys.list()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.ssh_keys.list(per_page=20, page=1)Description
To list all of the keys in your account, send a GET request to /v2/account/keys. The response will be a JSON object with a key set to ssh_keys. The value of this will be an array of ssh_key objects, each of which contains the standard ssh_key attributes.
Parameters
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.ssh_keys.list()
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.ssh_keys.list(page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/account/keys in the API reference for additional detail on responses, headers, parameters, and more.